#!/bin/sh -f
#file name: [/usr/bin/toec_addprinter.sh ]
#
# pv - preview a specified page of a dvi file in a Ghostscript window
# usage: pv page file
#
# pv converts the given page to PostScript and displays it
# in a Ghostscript window.
#
#  echo usage: $0 'page_number file_name[.dvi]'

#USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep 102D |awk -F" " '{print $2}'`
#LPADMIN=$(which lpadmin)

#echo $LPADMIN
#echo $USB_NAME

#$LPADMIN -p TOEC-OEP102D -m OEP102D.ppd -v $USB_NAME -E

#$LPADMIN -d TOEC-OEP102D


USB_NAME=`/usr/lib/cups/backend/usb |grep direct |grep OEP102D? |awk -F" " '{print $2}'`
USB_NAME1=`/usr/lib/cups/backend/usb |grep direct |grep OEP102D |awk -F" " '{print $2}'`

LPADMIN=$(which lpadmin)

if [ -z "$LPADMIN" ]; then
        LPADMIN="/usr/sbin/lpadmin"
fi

if [ -z "$USB_NAME" ];then
        if [ -z "$USB_NAME1" ];then
                USB_NAME="usb://dev/usb/lp0"
                echo $USB_NAME
                $LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME -E

                $LPADMIN -d OEP102D
        elif [ -n "$USB_NAME1" ];then
                echo $USB_NAME1
                $LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME1 -E

                $LPADMIN -d OEP102D

        fi
elif [ -n "$USB_NAME" ];then
        if [ -z "$USB_NAME1" ];then
                echo $USB_NAME
                $LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME -E

                $LPADMIN -d OEP102D
        elif [ -n "$USB_NAME1" ];then
                echo $USB_NAME
                $LPADMIN -p OEP102D -m OEP102D.ppd -v $USB_NAME -E

                $LPADMIN -d OEP102D
        fi
fi

#/usr/sbin/lpadmin -p TOEC-OEP102D -m OEP102D.ppd -v $USB_NAME -E
#/usr/sbin/lpadmin -d TOEC-OEP102D

#/usr/sbin/lpadmin -d TOEC-OEP102D
#/usr/sbin/lpadmin -d TOEC--Printer

service cups restart

#exit 0
